Bug 834627 - (CVE-2012-3236) CVE-2012-3236 gimp: NULL pointer deref crash when reading FIT file with crafted XTENSION header
CVE-2012-3236 gimp: NULL pointer deref crash when reading FIT file with craft...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120629,reported=2...
: Security
Depends On: 836517
Blocks: 834633
  Show dependency treegraph
 
Reported: 2012-06-22 11:47 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-29 07:31:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 676804 None None None 2012-06-22 13:51:00 EDT
Novell 769565 None None None 2012-07-02 07:12:44 EDT

  None (edit)
Description Jan Lieskovsky 2012-06-22 11:47:15 EDT
A denial of service flaw was found in the way GIMP, GNU Image Manipulation Program, processed certain FIT format files. A remote attacker could provide a FIT format file with specially-crafted value of the 'XTENSION' header that, when opened would cause the gimp executable to crash.

References:
[1] http://www.reactionpenetrationtesting.co.uk/advisories/FIT-handling-DoS.html
[2] http://www.reactionpenetrationtesting.co.uk/advisories/vuln.fit
Comment 3 Jan Lieskovsky 2012-06-22 12:00:02 EDT
Acknowledgements:

Red Hat would like to thank Joseph Sheridan for reporting this issue.
Comment 6 Stefan Cornelius 2012-06-29 07:27:55 EDT
Public now:
http://www.openwall.com/lists/oss-security/2012/06/29/3
Comment 7 Stefan Cornelius 2012-06-29 07:30:22 EDT
Created gimp tracking bugs for this issue

Affects: fedora-all [bug 836517]
Comment 8 Stefan Cornelius 2012-06-29 07:31:10 EDT
Statement:

We do not consider a user-assisted crash of a client application such as Gimp to be a security issue.

Note You need to log in before you can comment on or make changes to this bug.